fop 1.1

## org.apache.fop.layoutmgr
Interface ElementListObserver.Observer

Enclosing class:
  ElementListObserver

    public static interface ElementListObserver.Observer

Implement this interface to receive notifications on element lists.

Method Summary
`void` `observe(java.util.List elementList, java.lang.String category, java.lang.String id)` Notifies the observer about the element list.

Method Detail

### observe

    void observe(java.util.List elementList,
                 java.lang.String category,
                 java.lang.String id)

  Notifies the observer about the element list.

  Parameters:
    `elementList` - the Knuth element list
    `category` - the category for the element list (example: main, static-content or table-cell)
    `id` - ID for the element list (may be null)

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.